<?php
print "<BR><B><U> Gestin de excepciones (Derivacin de clase Exception) (ejemplo c1603.php) <BR></B></U>";

// Se extiende la clase Exception
Class MiExcepcin  extends Exception{
	// El mtodo MostrarError no existe en la clase base Exception
	// la clase derivada no puede modificar los mtodos de la clase
	// Exception porque son todos 'final'. Pero s es posible 
	// aadir propiedades y mtodos
	function MostrarError(){
		echo "*****************************<BR>";
		echo "Se produjo este error: " . $this->getMessage() ."<BR>";
		echo "Cdigo: " .$this->getCode() . "<BR>";
		echo "Archivo del error: " .$this->getFile() . "<BR>";
		echo "Lnea del error: " .$this->getLine() . "<BR>";
		$var = $this->getTrace();
		echo "En la funcin: " . $var[0] ['function'] . "<BR>";
		echo "Funcin llamada desde la lnea: " . $var[0] ['line'] . "<BR>";
		echo "*****************************<BR>";
		// durante el tratamiento de una excepcin 
		// podemos generar una nueva excepcin
		try{	
		// se crea un objeto de clase Exception
		throw new Exception("otro error (generado dentro de la primera excepcin)",8);
		} catch (Exception $er){
			// aqu podemos acceder a los mtodos de la clase
			// Exception (pero no a los de su clase hija)
			echo $er->getMessage();
		}
	}
} 
function dividir($y,$x) {
	// el objeto se crea con un mensaje y un cdigo de error, ambos
	// son definidos por el desarrollador 
	if ($x == 0) throw new MiExcepcin("divisin por cero", 12);
	return $y/$x;
} 
 
try{
	$r = dividir(23,0);
} catch (MiExcepcin $e) {	
	// aqu podemos hacer referencia a los mtodos de la clase base y 
	// de la clase hija
	echo $e->MostrarError();
	exit;
} 
print $r;
?> 
 