<?php
print "<B><U>Prcticas con funciones para trabajar con subcadenas cadenas  (ejemplo c607.php)</U></B><BR>";

// la funcin substr(pcadena, pinicio [,plong])
Print "<BR><B>Funcin substr(): trabajo con subcadenas</B><BR>";
$var1 = "sta es una cadena completa";
$var2 = substr($var1,5,6); // separa la palabra 'es una'
print "subcadena:$var2 <BR>";
// la posicin de inicio puede ser negativa (significa que se cuenta desde el final)
// si no usa el parmetro plong, asume hasta el final
$var2 = substr($var1,-8); // separa la palabra 'completa'
print "subcadena:$var2 <BR>"; 
// si se indica un parmetro plong negativo se especifica
// la cantidad de caracteres que no se considerarn desde el final
$var2 = substr($var1,-8, -4); // separa la palabra 'comp'
print "subcadena:$var2 <BR>"; 

// la funcin substr_replace(pcadena1, pcadena2, pinicio [,plong])
Print "<BR><B>Funcin substr_replace(): reemplazo de cadenas</B><BR>";
$var1 = "sta es una cadena completa";
$var2 = substr_replace($var1,'sera una gran',5,6); // cambia el texto
print "subcadena:$var2 <BR>";
// la posicin de inicio puede ser negativa (significa que se cuenta desde el final)
// si no usa el parmetro plong, asume hasta el final
$var2 = substr_replace($var1,'largusima',-8); // cambia el texto
print "subcadena:$var2 <BR>"; 
// si se indica un parmetro plong negativo se especifica
// la cantidad de caracteres que no se considerarn desde el final
$var2 = substr_replace($var1,'obso',-8, -4); // cambia el texto
print "subcadena:$var2 <BR>"; 

// la funcin str_replace(pbusca, preemplaza, pcadena)
Print "<BR><B>Funcin str_replace(): reemplazo de partes de la cadena</B><BR>";
$var1 = "Texas (USA), Florida(USA), Nueva York(USA), California(usa)";
// usa no lo cambia porque est en minsculas
$var2 = str_replace("USA","EEUU",$var1); // cambia el texto (pero diferencia maysculas de minsculas)
print "cadena:$var2 <BR>";

// la funcin strtr(pcadena, pbusca, preemplaza)
// reemplaza los caracteres de pbusca por el correspondiente en preemplaza
Print "<BR><B>Funcin strtr(): traduccin de caracteres</B><BR>";
$var1 = "ste es slo un parmetro nico"; // saca los acentos
$var2 = strtr($var1,"","aeiouAEIOU"); // 
print "cadena:$var2 <BR>";

// la funcin strtr(pcadena, pmatriz)
// la matriz, las claves tiene los datos a traducir y los valores son los reemplazosPrint "<BR><B>Funcin strtr()formato alternativo</B><BR>";
Print "<BR><B>Funcin strtr(): traduccin desde una matriz</B><BR>";
$mat = array(","=>":", "Estimado"=>"Dear", "seor"=>"mr.", "Gracias"=>"Thanks you", "Lo ver pronto"=>"I will see you soon");
$var1 = "Estimado seor Jones, <BR>Lo ver pronto. <BR>Gracias. Luis"; // 
$var2 = strtr($var1,$mat); // 
print "cadena:<BR>$var2 <BR>"; 

// la funcin substr_count(pcadena, pbusca)
// cuenta la cantidad de veces que aparece una subcadena en una cadena
// diferencia maysculas de minsculas
Print "<BR><B>Funcin substr_count()cuenta apariciones de subcadenas</B><BR>";
$var1 = "Estimado seor Jones, <BR>Lo ver pronto. <BR>Gracias. Luis"; // saca los acentos
$var2 = substr_count($var1,"<BR>"); // cuenta saltos de lnea 
print "saltos de lnea:$var2 <BR>"; 
?>