<?php
print "<B><U>Mtodo final  (ejemplo c811.php)</U></B><BR><BR>";

// Clase con un mtodo final 
// sirve para indicar que no puede ser reemplazado   
class MiClase {
	public $saludo;
	final function Saludar() {
		print $this->saludo ."<BR>";
	} 
}	
// Subclase o clase derivada

//Pero no se puede implementar un mtodo definido como final

class MiSubClase extends MiClase {
	public $despedida;
	// la definicin de este mtodo produce un error fatal
	function Saludar() {
		print $this->saludo ."<BR>";
	} 
	function Despedirse() {
		print $this->despedida ."<BR>";
	}
}

// se crea un objeto de clase MiSubClase
// una clase derivada de la clase MiClase
// la que tiene un mtodo final   
$obj = new MiSubClase();

$obj->saludo = "Hola, cmo estamos?<BR><BR>";
 
$obj->Saludar();

?>