<?php
print "<B><U>Simulacin de sobrecarga de acceso a propiedades (ejemplo c819.php)</U></B><BR><BR>";

// Definicin de la clase Prueba
class Prueba {
 	private $matriz;
	// en el constructor se crea la matriz con un nico elemento
	function __construct() {
		$this->matriz = array("Italia"=>100);
	}
	// cuando se accede a una propiedad que no existe, acta
	// el mtodo __get(), en el argumento se recibe el nombre de la
	// supuesta propiedad
	
	// aqu implementamos la funcin para que reciba los valores de
	// claves de una matriz asociativa
	// ste es slo un ejemplo para la aplicacin de mtodos __get()
	// y __set()
		function __get($nv){
		print "<BR>funcin get:" . $nv ."<BR>";
		// la funcin isset() verifica si la variable est asignada
		if (isset($this->matriz[$nv]) ) {
			return $this->matriz[$nv];
		}
		else{
			return False;
		} 
	}
	// cuando se asigna un valor a una propiedad que no existe, acta
	// el mtodo __set(), en el argumento se recibe el nombre de la
	// supuesta propiedad y el valor que se quiere asignar
	function __set($nv,$val){
		print "<BR>funcin set:" . $nv . ", " . $val ."<BR>";
		$this->matriz[$nv] = $val;
	}
}	

// al generar el ejemplar de la clase Prueba
// se ejecuta automticamente el constructor de la clase
// __construct() 
$objPrueba = new Prueba;

// la matriz slo tiene el elemento de clave Italia, por lo que
// Espaa no existe
if (!$objPrueba->Espaa) {
	print "el elemento no existe en la matriz.<BR> ";
}
// si intentamos obtener el valor de la pseudopropiedad Espaa
// obtenemos False, porque an no le asignamos valor
$b = $objPrueba->Espaa;
print "Retorno es :" . $b . "<BR>";

// Ahora se asigna el valor a la pseudo propiedad Espaa,
// gracias a la implementacin del mtodo __set(), el valor
// se almacena en la propiedad matriz, en la clave Espaa
$objPrueba->Espaa = 150; 

// Al acceder ahora a la pseudo propiedad, obtenemos el valor
// desde el mtodo __get()
$b = $objPrueba->Espaa;
print "Retorno es :" . $b . "<BR>";

if ($objPrueba->Espaa) {
	print "el elemento existe en la matriz.<BR> ";
} 
 
?>