<?php
// Artculo.php

class Artculo
{

private $AId;
private $ATtulo;
private $ATexto;
private $AFecha;


// Las funciones de acceso nos sirven para recuperar los
// valores de las propiedades
function getAId()       {return $this->AId;}
function getATtulo()   {return $this->ATtulo;}
function getATexto()    {return $this->ATexto;}
function getAFecha()    {return $this->AFecha;}


function Artculo($p1=0,  $p2="", $p3="", $p4=0)
{
   	$this->AId 		= $p1;
	$this->ATtulo 	= $p2;
	$this->ATexto 	= $p3;
	$this->AFecha 	= $p4;
}

function leer($numArt)
{
	$this->AId = $numArt;

    // si el identificador no es mayor a cero no se accede a la
	// base de datos
	if ($this->AId > 0)
	{
		// Crear un objeto AuxDB
		$db = new AuxDB();
		$db->conectar();

		// sentencia SELECT para leer un artculo determinado
		$sql = "Select ATtulo, ATexto, AFecha From ";
		$sql.= "Artculo Where AId ='".$this->AId . "'" ;

		$rst = $db->ejecutarSQL($sql);

		// desconexin con el servidor de base de datos
		$db->desconectar();

		// obtener la fila de datos
		$fila = $db->siguienteFila($rst);
		$this->ATtulo = $fila['ATtulo'];
		$this->ATexto = $fila['ATexto'];
		$this->AFecha = $fila['AFecha'];
	}
}


function insertar()
{
	// Crear un objeto AuxDB
	$db = new AuxDB();
	$db->conectar();

	// sentencia INSERT para insertar un artculo
	$sql = "Insert Into Artculo (ATtulo, ATexto, AFecha) Values ('";
	$sql.= mysql_escape_string($this->ATtulo) . "', '";
	$sql.= mysql_escape_string($this->ATexto) . "', ";
	$sql.=  "NOW() ) ";

	// ejecucin de la sentencia SQL
	$db->ejecutarSQL($sql);

	// desconexin con el servidor de base de datos
	$db->desconectar();
}


function modificar()
{
	// Crear un objeto AuxDB
	$db = new AuxDB();
	$db->conectar();

	// sentencia UPDATE para modificar un artculo
	$sql = "Update Artculo Set ATtulo='" . mysql_escape_string($this->ATtulo) . "', ";
	$sql.= "ATexto ='". mysql_escape_string($this->ATexto) ."' ";
	$sql.= "Where AId=' " . $this->AId . "'";

	// ejecucin de la sentencia SQL
	$db->ejecutarSQL($sql);

	// desconexin con el servidor de base de datos
	$db->desconectar();
}


function eliminar($p1)
{
	// Crear un objeto AuxDB
	$db = new AuxDB();
	$db->conectar();

    // sentencia DELETE para eliminar todos los comentarios
	$sql = "Delete From Comentario Where CAId=" . $p1 . " ";

	// ejecucin de la sentencia SQL
	$db->ejecutarSQL($sql);

	// sentencia DELETE para eliminar un artculo
	$sql = "Delete From Artculo Where AId=" . $p1 . " ";

	// ejecucin de la sentencia SQL
	$db->ejecutarSQL($sql);



	// desconexin con el servidor de base de datos
	$db->desconectar();
}


function visualizar()
{
	// Fija la informacin de regin
	setlocale(LC_TIME, "sp_SP", "SP");

 	// Se genera cdigo HTML con la informacin del artculo
	$ret = "<B>" . nl2br($this->ATtulo) . "</B><BR><BR>";
	$ret.=  nl2br($this->ATexto) . "<BR><BR>";
	$ret.=  $this->AFecha . " :: ";

  	// Se incluye un enlace para producir comentarios del artculo
	$ret .= "<a href=\"comentario.php?id=" .$this->AId. "\">comentarios</a>";

	// retorno de la cadena que se visualiza
	return $ret;

}
}