<?php
// colArtculo.php

class ColArtculo
{
 // en esta variable privada se almacenan todos los objetos
// Artculo
private $Arts = Array();


//
function colArtculo()
{

	// Crear un objeto AuxDB
	$db = new AuxDB();
	$db->conectar();

	// sentencia SELECT para leer todos los artculos
	$sql = "Select AId, ATtulo, ATexto, AFecha From ";
	$sql .= "Artculo Order by AFecha Desc" ;
	$rst = $db->ejecutarSQL($sql);


	while( $fila = $db->SiguienteFila($rst))
	{

		// carga de elementos Artculo
		// uso del constructor parametrizado
 		$this->Arts[] = new Artculo( $fila['AId'],
		                              $fila['ATtulo'],
				                      $fila['ATexto'],
				                      $fila['AFecha'] );

	}
	// al finalizar de utilizar el conjunto de resultados lo
	// liberamos
	$db->liberarRecursos( $rst );
}


function obtenerLista()
{
	// producimos el cdigo HTML con la sentencia Select
	// de encabezamiento
	print("<select name =\"Artis\">\n");

	foreach( $this->Arts as $elem )
	{
		print("<option value=\"".$elem->getAId()."\">".$elem->getATtulo(). "</option>\n");
	}

	// cerrar la instruccin select
	print("</select>\n");
}

function visualizarTodos()
{
	$str ="";
	// recorremos toda la matriz con foreach
	foreach( $this->Arts as $elem )
	{
 		$str .=  $elem->visualizar() . "<br><br>";
	}

	// devuelve toda la cadena
	return $str;
}

}