<?php
print "<B><U>Diferencia entre pblico y privado (ejemplo c803.php)</U></B><BR><BR>";

// Definicin de la clase
class MiClase {
	// Una propiedad privada y otra pblica 
	public $publ;
	private $priva;
	// Un mtodo de cada tipo de mbito
	function metPublic($texto) {
		// Este mtodo lo puedo utilizar
		// desde cualquier parte
		$this->publ = $texto;
		$this->priva = $texto;
	}
	private function metPrivate($texto) {
		// este mtodo slo puedo usar dentro de la clase  
		$this->publ = $texto;
		$this->priva = $texto;
	}

	function metPublic2($texto) {
		// este mtodo lo puedo llamar desde una clase derivada de MiClase 
		$this->metPrivate($texto);
		print "Estoy dentro del mtodo metPublic2<BR><BR>";
		print "Desde dentro de la clase puedo visualizar la variable priva: " .$this->priva . "<BR><BR>";
	}
}	
 
// se genera un ejemplar del objeto
$obj = new MiClase();
// se modifica el valor de una propiedad
// desde fuera de la clase (se puede hacer porque
// la propiedad es pblica)
$obj->publ = "Modificacin 1";
print "1. Qu hay en la propiedad publ? " . $obj->publ . "<BR><BR>";
// modificamos una variable pblica con un mtodo pblico
$obj->metPublic("Modificacin 2");
print "2. Qu hay en la propiedad publ? " . $obj->publ . "<BR><BR>";


// Todas estas sentencias producen errores
// por eso se han puesto como comentarios

// pero desde aqu no podemos visualizar las propiedades
// privadas ni protegidas del objetos 
//print "3. Qu hay en la propiedad priva? " . $obj->priva . "<BR>"; // propiedad private
 
// Desde aqu tampoco puedo usar el mtodo  metPrivate. 
// modificamos una variable pblica con un mtodo privado
//$obj->metPrivate("Modificacin 4");  // mtodo private
// Desde aqu tampoco puedo modificar las variables
// privadas ni protegidas  
//$obj->priva("Modificacin 5");  // propiedad private

// sta no produce error
// pero s puedo usar un mtodo pblico que 
// llama a mtodos protected o private desde dentro de la clase
$obj->metPublic2("Modificacin 6");

print "ltima sentencia del script. <BR>";

?>