<?php
print "<B><U>Varias funciones para tratar con clases y objetos (ejemplo c831.php)</U></B><BR><BR>";

// Definicin de la clase Persona
Class Persona {
	public $identificador;
	public $nombre;
	function __construct($id, $name){
		$this->identificador = $id;
		$this->nombre = $name;	
	}
 	function Imprimir(){
		print $this->identificador;
	}
}
// Definicin de la clase Empleado que se deriva de la clase Persona
Class Empleado extends Persona {
	public $seccin;
	function __construct($id, $name, $seccin){
		$this->identificador = $id;
		$this->nombre = $name;	
		$this->seccin = $seccin;
		print "* Uso de la constante __METHOD__ :" . __METHOD__;
	}
 	function Listar(){
		print "Empleado es " . $this->nombre . "<BR>";
	}
}
// Se genera un objeto de la clase Persona
$per = new Persona(1222,"Jos Prez");

// Se genera un objeto de la clase Empleado
$emp = new Empleado(99,"Jos Gonzlez","Contabilidad");

// Funcin class_exists() 
if (class_exists('Persona')) {
	print "<BR><B>1. Funcin class_exists(). </B>La clase Persona ya existe.";
}

// Funcin get_class() 
print "<BR><B>2. Funcin get_class(). </B>La clase del objeto \$per es :" . get_class($per) ;

// Funcin get_class_methods()
print  "<BR><B>3. Funcin get_class_methods(). </B>stos son los mtodos de la clase Persona : ";
print_r (get_class_methods("Persona")) ;

// Funcin get_class_vars()
print  "<BR><B>4. Funcin get_class_vars(). </B>stas son las propiedades de la clase Persona : ";
print_r (get_class_vars("Persona")) ;

// Funcin get_declared_classes()
print  "<BR><B>5. Funcin get_declared_classes(). </B>stas son las clases definidas : ";
print_r  (get_declared_classes()) ;

// Funcin get_object_vars()
print  "<BR><B>6. Funcin get_object_vars(). </B>stas son las propiedades del objeto \$emp : ";
print_r (get_object_vars($emp)) ;
 
// Funcin get_parent_class() 
print  "<BR><B>7. Funcin get_parent_class(). </B>sta es la clase base del objeto \$emp : " . get_parent_class($emp);

// Funcin getType()
print  "<BR><B>8. Funcin getType(). </B>ste es el tipo de la variable \$emp: " . gettype($emp);

// Funcin is_a()
if (is_a($emp,"Empleado")){
	print "<BR><B>9. Funcin is_a(). </B>El objeto \$emp pertenece a la clase Empleado.";
}

// Funcin is_subclass_of()
if (is_subclass_of($emp,"Persona")){
	print "<BR><B>10. Funcin is_subclass_of(). </B>El objeto \$emp es subclase de la clase Persona.";
}

// Funcin method_exists()
if (method_exists($emp,"Listar")){
	print "<BR><B>11. Funcin method_exists(). </B>El objeto \$emp contiene el mtodo Listar.";
}

// Funcin setType()
$vardbl = 23;
settype($vardbl,"double");
print  "<BR><B>12. Funcin setType(). </B>ste es el tipo de la variable \$vardbl: " . gettype($vardbl);
?>